const express = require("express");
const campaignsController = require("../controllers/campaignsController");

const router = express.Router();

router.get("/api/Get_Campaigns", campaignsController.getCampaigns);
router.get(
  "/api/Get_Campaigns_Dropdown",
  campaignsController.getCampaignsDropdown
);
router.get(
  "/api/Get_OutOfStock_Campaigns_Dropdown",
  campaignsController.getOutOfStockCampaignsDropdown
);
router.get(
  "/api/Get_InStock_Campaigns",
  campaignsController.getInStockCampaigns
);
router.get(
  "/api/Get_OutOfStock_Campaigns",
  campaignsController.getOutOfStockCampaigns
);
router.post("/api/Save_Campaign", campaignsController.saveCampaign);
router.post("/api/Edit_Campaign", campaignsController.editCampaign);
router.post("/api/Delete_Campaign", campaignsController.deleteCampaign);

module.exports = router;
